<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/staff.php';
date_default_timezone_set('Asia/Rangoon'); 
session_start();
$database = new Database();
$db = $database->getConnection();
 
$staff = new Staff($db);
$data = json_decode(file_get_contents("php://input"));

$staff->branch_id = $data->branch_id;
$staff->name = $data->name;
$staff->join_date = $data->join_date;
$staff->position = $data->position;
$staff->dob = $data->dob;
$staff->nrc_no = $data->nrc_no;
$staff->gender = $data->gender;
$staff->phone = $data->phone;
$staff->email = $data->email;
$staff->address = $data->address;

if($data->resign_date){
	$staff->resign = 1;
	$staff->resign_date = $data->resign_date;
}else{
	$staff->resign = 0;
	$staff->resign_date = '';
}

$staff->entry_by = $_SESSION['user'];
$staff->entry_date_time = date("Y-m-d H:i:s");	

if($data->id){
	$staff->id = $data->id;
	if($staff->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($staff->exist()){
        $msg_arr = array(
            "message" => "duplicate"
        );
    }else if($staff->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}
echo json_encode($msg_arr);
?>	